Subject: [sup-talk] patch to search in buffer

From: [email-masked] (Eyal Oren)
Date: Thu, 11 Oct 2007 17:58:01 +0200

Hi,

Find attached a small patch to enable simple text search in a scroll-buffer.  
This means you can search (and jump) to a simple text or regular expression help 
screens, inbox list, or thread view. It's something that I, as a mutt user, 
missed in sup. I've bound the buffer search to '#' since '/' is already used for 
general search: please change to something more appropriate if you can think of 
it.

As this is my first contribution to sup, please tell me whatever I've done 
wrong. I wasn't sure where to put this behaviour (I put it in scroll-mode.rb) 
and some stuff needs fixing:
- it doesn't open text found in closed threads (patinas),
- it doesn't scroll to email text below the current page (I'm using jump-to-line 
  but it doesn't seem to work),
- it doesn't have an easy way of doing a repeated search (I know how to do it, 
  but I couldn't find how to tell ncurses that hitting the search button again 
without input should do a repeated search; alternatively, one could register a 
new keymap for a repeated search but it seemed like overkill to me).

I'm open to suggestions for improvement and for fixing the outstanding issues.

 -eyal
-------------- next part --------------
A non-text attachment was scrubbed...
Name: search-in-buffer.diff
Type: application/octet-stream
Size: 1465 bytes
Desc: not available
Url : http://rubyforge.org/pipermail/sup-talk/attachments/20071011/26215015/attachment.obj